[PACKAGE]: ../../raw/master/mkp/checkpoint_fw_connections-0.0.5-20230529.mkp "checkpoint_fw_connections-0.0.5-20230529.mkp"
# Check Point firewall connections

Monitors the connections through a Check Point firewall gateway.

**Note**: this plugin supersedes the original _checkpoint_connections_ plugin.

---
### Check Info

- **service**: this check will create the service *Firewall connections*

- **state**: **critical**/**warning** if the number of connections outside the configured levels

- **wato**: [(see WATO options)](/../../../-/raw/master//doc/wato.png "see WATO options")

**Note**: Uppper connection levels can be configured as predictive. This will ignore the lower levels.

- **perfdata**
    - TCP connections/s
    - UDP connections/s
    - ICMP connections/s
    - Other connections/s
    - Total connections/s
    - Connections rate/s
    - Current connections
    - Peak Connections
    - Current connections relative to table limit (if available)


---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](img/sample.png?raw=true "sample output")

Sample detail output
![sample detail output](img/sample-details.png?raw=true "sample detail output")

WATO options
![WATO options](img/wato.png?raw=true "WATO options")
